> For the complete documentation index, see [llms.txt](https://docs.nebulablock.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nebulablock.com/overview/platform_api/list_images/user_instance_detail.md).

# User Instance Detail

Return instance detail information, like cpu, gpu, ram, total running time and etc.

## HTTP Request

`GET` `{API_URL}/computing/instance/{id}`

## Path parameters

| Parameters | Requirements | Type     | Description                                                                        |
| ---------- | ------------ | -------- | ---------------------------------------------------------------------------------- |
| id         | Required     | `string` | The unique identifier of the instance. `{id} comes from <List User Instances API>` |

## Response Attributes

#### data `array`

An array containing information about products organized by GPU model and region:

* **id** `string`: The unique identifier for the product.
* **region** `string`: The region where the GPU product is available.
* **product\_type** `string`: The type of instance,like GPU and CPU.
* **host\_name** `string`: The user defined name of the instance.
* **cpu\_cores** `number`: The number of CPU cores in the product.
* **ram** `number`: The amount of RAM in gigabytes for the product.
* **gpu** `string`: The GPU model name for the GPU product.
* **gpu\_type** `string`: The GPU serial name for the GPU product.
* **gpu\_count**: The number of GPUs included in the GPU product.
* **disk\_size** `number`: The root disk size of the GPU instance in gigabytes.
* **ephemeral** `number`: The ephemeral disk size of the GPU instance in gigabytes.
* **public\_ipv4** `string`: The Public IPv4 address associated with the instance.
* **lan\_ipv4** `string`: The LAN IPv4 address associated with the instance.
* **login\_method** `string`: The login method of the instance.
* **os** `string`: The operation system of the instance.
* **exposed\_ports** `string`: The exposed ports of the container instance.
* **user\_name** `string`: The user name of the container instance.
* **password** `string`: The password of the container instance.
* **status** `string`: The status of the instance.
* **start\_time** `string`: The time that instance started.
* **running\_time** `string`: The total running time of the instance.
* **total\_cost** `string`: The total cost of the instance.

#### message `string`

A description of the status of the request.

#### status `string`

Indicates the result of the request.\
**success** signifies success, while **failed** indicates an error.

## Example

#### Request

```bash
curl -X GET '{API_URL}/computing/instances' \
-H 'Authorization: Bearer {ACCESS_TOKEN}' \
-H 'Content-Type: application/json' \

```

#### Response

```json
{
    "data": [
        {
            "id": "102cade84ea-e703-4400-b77d-8ed545d198ee",
            "region": "CANADA",
            "product_type": "Virtual Machine",
            "host_name": "demo",
            "cpu_cores": "28",
            "ram": "58",
            "gpu_type": "RTX-A6000",
            "gpu_count": 1,
            "disk_size": 100,
            "public_ipv4": "38.80.81.128",
            "login_method": "",
            "os": "Ubuntu Server 20.04 LTS (Focal Fossa)",
            "exposed_ports": "",
            "vm_name": "demo",
            "vm_password": "qZ3!Xukz=I-Xv_ya",
            "status": "Running",
            "start_time": "EST 2024-11-04 10:11:50",
            "running_time": "0.0000 hours",
            "total_cost": "$0.0000"
        }
    ],
    "message": "Get instance detail successfully",
    "status": "success"
}

```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.nebulablock.com/overview/platform_api/list_images/user_instance_detail.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
